"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateBranch_1 = require("../model/operations/CreateBranch");
var CreateBranchCommand = /** @class */ (function () {
    function CreateBranchCommand(input) {
        this.input = input;
        this.model = CreateBranch_1.CreateBranch;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateBranchCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateBranchCommand;
}());
exports.CreateBranchCommand = CreateBranchCommand;
//# sourceMappingURL=CreateBranchCommand.js.map