"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateRepository_1 = require("../model/operations/CreateRepository");
var CreateRepositoryCommand = /** @class */ (function () {
    function CreateRepositoryCommand(input) {
        this.input = input;
        this.model = CreateRepository_1.CreateRepository;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateRepositoryCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateRepositoryCommand;
}());
exports.CreateRepositoryCommand = CreateRepositoryCommand;
//# sourceMappingURL=CreateRepositoryCommand.js.map