"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteFile_1 = require("../model/operations/DeleteFile");
var DeleteFileCommand = /** @class */ (function () {
    function DeleteFileCommand(input) {
        this.input = input;
        this.model = DeleteFile_1.DeleteFile;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteFileCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteFileCommand;
}());
exports.DeleteFileCommand = DeleteFileCommand;
//# sourceMappingURL=DeleteFileCommand.js.map