"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeMergeConflicts_1 = require("../model/operations/DescribeMergeConflicts");
var DescribeMergeConflictsCommand = /** @class */ (function () {
    function DescribeMergeConflictsCommand(input) {
        this.input = input;
        this.model = DescribeMergeConflicts_1.DescribeMergeConflicts;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeMergeConflictsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeMergeConflictsCommand;
}());
exports.DescribeMergeConflictsCommand = DescribeMergeConflictsCommand;
//# sourceMappingURL=DescribeMergeConflictsCommand.js.map