"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetBranch_1 = require("../model/operations/GetBranch");
var GetBranchCommand = /** @class */ (function () {
    function GetBranchCommand(input) {
        this.input = input;
        this.model = GetBranch_1.GetBranch;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetBranchCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetBranchCommand;
}());
exports.GetBranchCommand = GetBranchCommand;
//# sourceMappingURL=GetBranchCommand.js.map