"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetComment_1 = require("../model/operations/GetComment");
var GetCommentCommand = /** @class */ (function () {
    function GetCommentCommand(input) {
        this.input = input;
        this.model = GetComment_1.GetComment;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetCommentCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetCommentCommand;
}());
exports.GetCommentCommand = GetCommentCommand;
//# sourceMappingURL=GetCommentCommand.js.map