"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetCommit_1 = require("../model/operations/GetCommit");
var GetCommitCommand = /** @class */ (function () {
    function GetCommitCommand(input) {
        this.input = input;
        this.model = GetCommit_1.GetCommit;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetCommitCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetCommitCommand;
}());
exports.GetCommitCommand = GetCommitCommand;
//# sourceMappingURL=GetCommitCommand.js.map