"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetFolder_1 = require("../model/operations/GetFolder");
var GetFolderCommand = /** @class */ (function () {
    function GetFolderCommand(input) {
        this.input = input;
        this.model = GetFolder_1.GetFolder;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetFolderCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetFolderCommand;
}());
exports.GetFolderCommand = GetFolderCommand;
//# sourceMappingURL=GetFolderCommand.js.map