"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetRepository_1 = require("../model/operations/GetRepository");
var GetRepositoryCommand = /** @class */ (function () {
    function GetRepositoryCommand(input) {
        this.input = input;
        this.model = GetRepository_1.GetRepository;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetRepositoryCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetRepositoryCommand;
}());
exports.GetRepositoryCommand = GetRepositoryCommand;
//# sourceMappingURL=GetRepositoryCommand.js.map