"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListBranches_1 = require("../model/operations/ListBranches");
var ListBranchesCommand = /** @class */ (function () {
    function ListBranchesCommand(input) {
        this.input = input;
        this.model = ListBranches_1.ListBranches;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListBranchesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListBranchesCommand;
}());
exports.ListBranchesCommand = ListBranchesCommand;
//# sourceMappingURL=ListBranchesCommand.js.map