"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListRepositories_1 = require("../model/operations/ListRepositories");
var ListRepositoriesCommand = /** @class */ (function () {
    function ListRepositoriesCommand(input) {
        this.input = input;
        this.model = ListRepositories_1.ListRepositories;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListRepositoriesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListRepositoriesCommand;
}());
exports.ListRepositoriesCommand = ListRepositoriesCommand;
//# sourceMappingURL=ListRepositoriesCommand.js.map