"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var MergeBranchesByFastForward_1 = require("../model/operations/MergeBranchesByFastForward");
var MergeBranchesByFastForwardCommand = /** @class */ (function () {
    function MergeBranchesByFastForwardCommand(input) {
        this.input = input;
        this.model = MergeBranchesByFastForward_1.MergeBranchesByFastForward;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    MergeBranchesByFastForwardCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return MergeBranchesByFastForwardCommand;
}());
exports.MergeBranchesByFastForwardCommand = MergeBranchesByFastForwardCommand;
//# sourceMappingURL=MergeBranchesByFastForwardCommand.js.map