"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var MergeBranchesBySquash_1 = require("../model/operations/MergeBranchesBySquash");
var MergeBranchesBySquashCommand = /** @class */ (function () {
    function MergeBranchesBySquashCommand(input) {
        this.input = input;
        this.model = MergeBranchesBySquash_1.MergeBranchesBySquash;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    MergeBranchesBySquashCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return MergeBranchesBySquashCommand;
}());
exports.MergeBranchesBySquashCommand = MergeBranchesBySquashCommand;
//# sourceMappingURL=MergeBranchesBySquashCommand.js.map