"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var MergeBranchesByThreeWay_1 = require("../model/operations/MergeBranchesByThreeWay");
var MergeBranchesByThreeWayCommand = /** @class */ (function () {
    function MergeBranchesByThreeWayCommand(input) {
        this.input = input;
        this.model = MergeBranchesByThreeWay_1.MergeBranchesByThreeWay;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    MergeBranchesByThreeWayCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return MergeBranchesByThreeWayCommand;
}());
exports.MergeBranchesByThreeWayCommand = MergeBranchesByThreeWayCommand;
//# sourceMappingURL=MergeBranchesByThreeWayCommand.js.map