"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PostCommentForPullRequest_1 = require("../model/operations/PostCommentForPullRequest");
var PostCommentForPullRequestCommand = /** @class */ (function () {
    function PostCommentForPullRequestCommand(input) {
        this.input = input;
        this.model = PostCommentForPullRequest_1.PostCommentForPullRequest;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PostCommentForPullRequestCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PostCommentForPullRequestCommand;
}());
exports.PostCommentForPullRequestCommand = PostCommentForPullRequestCommand;
//# sourceMappingURL=PostCommentForPullRequestCommand.js.map