"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutFile_1 = require("../model/operations/PutFile");
var PutFileCommand = /** @class */ (function () {
    function PutFileCommand(input) {
        this.input = input;
        this.model = PutFile_1.PutFile;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutFileCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutFileCommand;
}());
exports.PutFileCommand = PutFileCommand;
//# sourceMappingURL=PutFileCommand.js.map