"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateComment_1 = require("../model/operations/UpdateComment");
var UpdateCommentCommand = /** @class */ (function () {
    function UpdateCommentCommand(input) {
        this.input = input;
        this.model = UpdateComment_1.UpdateComment;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateCommentCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateCommentCommand;
}());
exports.UpdateCommentCommand = UpdateCommentCommand;
//# sourceMappingURL=UpdateCommentCommand.js.map