"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateBranchInput_1 = require("../shapes/CreateBranchInput");
var CreateBranchOutput_1 = require("../shapes/CreateBranchOutput");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var BranchNameRequiredException_1 = require("../shapes/BranchNameRequiredException");
var BranchNameExistsException_1 = require("../shapes/BranchNameExistsException");
var InvalidBranchNameException_1 = require("../shapes/InvalidBranchNameException");
var CommitIdRequiredException_1 = require("../shapes/CommitIdRequiredException");
var CommitDoesNotExistException_1 = require("../shapes/CommitDoesNotExistException");
var InvalidCommitIdException_1 = require("../shapes/InvalidCommitIdException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateBranch = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateBranch",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateBranchInput_1.CreateBranchInput
    },
    output: {
        shape: CreateBranchOutput_1.CreateBranchOutput
    },
    errors: [
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: BranchNameRequiredException_1.BranchNameRequiredException
        },
        {
            shape: BranchNameExistsException_1.BranchNameExistsException
        },
        {
            shape: InvalidBranchNameException_1.InvalidBranchNameException
        },
        {
            shape: CommitIdRequiredException_1.CommitIdRequiredException
        },
        {
            shape: CommitDoesNotExistException_1.CommitDoesNotExistException
        },
        {
            shape: InvalidCommitIdException_1.InvalidCommitIdException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=CreateBranch.js.map