"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateUnreferencedMergeCommitInput_1 = require("../shapes/CreateUnreferencedMergeCommitInput");
var CreateUnreferencedMergeCommitOutput_1 = require("../shapes/CreateUnreferencedMergeCommitOutput");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var TipsDivergenceExceededException_1 = require("../shapes/TipsDivergenceExceededException");
var CommitRequiredException_1 = require("../shapes/CommitRequiredException");
var InvalidCommitException_1 = require("../shapes/InvalidCommitException");
var CommitDoesNotExistException_1 = require("../shapes/CommitDoesNotExistException");
var MergeOptionRequiredException_1 = require("../shapes/MergeOptionRequiredException");
var InvalidMergeOptionException_1 = require("../shapes/InvalidMergeOptionException");
var InvalidConflictDetailLevelException_1 = require("../shapes/InvalidConflictDetailLevelException");
var InvalidConflictResolutionStrategyException_1 = require("../shapes/InvalidConflictResolutionStrategyException");
var InvalidConflictResolutionException_1 = require("../shapes/InvalidConflictResolutionException");
var ManualMergeRequiredException_1 = require("../shapes/ManualMergeRequiredException");
var MaximumConflictResolutionEntriesExceededException_1 = require("../shapes/MaximumConflictResolutionEntriesExceededException");
var MultipleConflictResolutionEntriesException_1 = require("../shapes/MultipleConflictResolutionEntriesException");
var ReplacementTypeRequiredException_1 = require("../shapes/ReplacementTypeRequiredException");
var InvalidReplacementTypeException_1 = require("../shapes/InvalidReplacementTypeException");
var ReplacementContentRequiredException_1 = require("../shapes/ReplacementContentRequiredException");
var InvalidReplacementContentException_1 = require("../shapes/InvalidReplacementContentException");
var PathRequiredException_1 = require("../shapes/PathRequiredException");
var InvalidPathException_1 = require("../shapes/InvalidPathException");
var FileContentSizeLimitExceededException_1 = require("../shapes/FileContentSizeLimitExceededException");
var FolderContentSizeLimitExceededException_1 = require("../shapes/FolderContentSizeLimitExceededException");
var MaximumFileContentToLoadExceededException_1 = require("../shapes/MaximumFileContentToLoadExceededException");
var MaximumItemsToCompareExceededException_1 = require("../shapes/MaximumItemsToCompareExceededException");
var ConcurrentReferenceUpdateException_1 = require("../shapes/ConcurrentReferenceUpdateException");
var FileModeRequiredException_1 = require("../shapes/FileModeRequiredException");
var InvalidFileModeException_1 = require("../shapes/InvalidFileModeException");
var NameLengthExceededException_1 = require("../shapes/NameLengthExceededException");
var InvalidEmailException_1 = require("../shapes/InvalidEmailException");
var CommitMessageLengthExceededException_1 = require("../shapes/CommitMessageLengthExceededException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateUnreferencedMergeCommit = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateUnreferencedMergeCommit",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateUnreferencedMergeCommitInput_1.CreateUnreferencedMergeCommitInput
    },
    output: {
        shape: CreateUnreferencedMergeCommitOutput_1.CreateUnreferencedMergeCommitOutput
    },
    errors: [
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: TipsDivergenceExceededException_1.TipsDivergenceExceededException
        },
        {
            shape: CommitRequiredException_1.CommitRequiredException
        },
        {
            shape: InvalidCommitException_1.InvalidCommitException
        },
        {
            shape: CommitDoesNotExistException_1.CommitDoesNotExistException
        },
        {
            shape: MergeOptionRequiredException_1.MergeOptionRequiredException
        },
        {
            shape: InvalidMergeOptionException_1.InvalidMergeOptionException
        },
        {
            shape: InvalidConflictDetailLevelException_1.InvalidConflictDetailLevelException
        },
        {
            shape: InvalidConflictResolutionStrategyException_1.InvalidConflictResolutionStrategyException
        },
        {
            shape: InvalidConflictResolutionException_1.InvalidConflictResolutionException
        },
        {
            shape: ManualMergeRequiredException_1.ManualMergeRequiredException
        },
        {
            shape: MaximumConflictResolutionEntriesExceededException_1.MaximumConflictResolutionEntriesExceededException
        },
        {
            shape: MultipleConflictResolutionEntriesException_1.MultipleConflictResolutionEntriesException
        },
        {
            shape: ReplacementTypeRequiredException_1.ReplacementTypeRequiredException
        },
        {
            shape: InvalidReplacementTypeException_1.InvalidReplacementTypeException
        },
        {
            shape: ReplacementContentRequiredException_1.ReplacementContentRequiredException
        },
        {
            shape: InvalidReplacementContentException_1.InvalidReplacementContentException
        },
        {
            shape: PathRequiredException_1.PathRequiredException
        },
        {
            shape: InvalidPathException_1.InvalidPathException
        },
        {
            shape: FileContentSizeLimitExceededException_1.FileContentSizeLimitExceededException
        },
        {
            shape: FolderContentSizeLimitExceededException_1.FolderContentSizeLimitExceededException
        },
        {
            shape: MaximumFileContentToLoadExceededException_1.MaximumFileContentToLoadExceededException
        },
        {
            shape: MaximumItemsToCompareExceededException_1.MaximumItemsToCompareExceededException
        },
        {
            shape: ConcurrentReferenceUpdateException_1.ConcurrentReferenceUpdateException
        },
        {
            shape: FileModeRequiredException_1.FileModeRequiredException
        },
        {
            shape: InvalidFileModeException_1.InvalidFileModeException
        },
        {
            shape: NameLengthExceededException_1.NameLengthExceededException
        },
        {
            shape: InvalidEmailException_1.InvalidEmailException
        },
        {
            shape: CommitMessageLengthExceededException_1.CommitMessageLengthExceededException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=CreateUnreferencedMergeCommit.js.map