"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribePullRequestEventsInput_1 = require("../shapes/DescribePullRequestEventsInput");
var DescribePullRequestEventsOutput_1 = require("../shapes/DescribePullRequestEventsOutput");
var PullRequestDoesNotExistException_1 = require("../shapes/PullRequestDoesNotExistException");
var InvalidPullRequestIdException_1 = require("../shapes/InvalidPullRequestIdException");
var PullRequestIdRequiredException_1 = require("../shapes/PullRequestIdRequiredException");
var InvalidPullRequestEventTypeException_1 = require("../shapes/InvalidPullRequestEventTypeException");
var InvalidActorArnException_1 = require("../shapes/InvalidActorArnException");
var ActorDoesNotExistException_1 = require("../shapes/ActorDoesNotExistException");
var InvalidMaxResultsException_1 = require("../shapes/InvalidMaxResultsException");
var InvalidContinuationTokenException_1 = require("../shapes/InvalidContinuationTokenException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribePullRequestEvents = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribePullRequestEvents",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribePullRequestEventsInput_1.DescribePullRequestEventsInput
    },
    output: {
        shape: DescribePullRequestEventsOutput_1.DescribePullRequestEventsOutput
    },
    errors: [
        {
            shape: PullRequestDoesNotExistException_1.PullRequestDoesNotExistException
        },
        {
            shape: InvalidPullRequestIdException_1.InvalidPullRequestIdException
        },
        {
            shape: PullRequestIdRequiredException_1.PullRequestIdRequiredException
        },
        {
            shape: InvalidPullRequestEventTypeException_1.InvalidPullRequestEventTypeException
        },
        {
            shape: InvalidActorArnException_1.InvalidActorArnException
        },
        {
            shape: ActorDoesNotExistException_1.ActorDoesNotExistException
        },
        {
            shape: InvalidMaxResultsException_1.InvalidMaxResultsException
        },
        {
            shape: InvalidContinuationTokenException_1.InvalidContinuationTokenException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=DescribePullRequestEvents.js.map