"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListBranchesInput_1 = require("../shapes/ListBranchesInput");
var ListBranchesOutput_1 = require("../shapes/ListBranchesOutput");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var InvalidContinuationTokenException_1 = require("../shapes/InvalidContinuationTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListBranches = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListBranches",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListBranchesInput_1.ListBranchesInput
    },
    output: {
        shape: ListBranchesOutput_1.ListBranchesOutput
    },
    errors: [
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        },
        {
            shape: InvalidContinuationTokenException_1.InvalidContinuationTokenException
        }
    ]
};
//# sourceMappingURL=ListBranches.js.map