"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListPullRequestsInput_1 = require("../shapes/ListPullRequestsInput");
var ListPullRequestsOutput_1 = require("../shapes/ListPullRequestsOutput");
var InvalidPullRequestStatusException_1 = require("../shapes/InvalidPullRequestStatusException");
var InvalidAuthorArnException_1 = require("../shapes/InvalidAuthorArnException");
var AuthorDoesNotExistException_1 = require("../shapes/AuthorDoesNotExistException");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var InvalidMaxResultsException_1 = require("../shapes/InvalidMaxResultsException");
var InvalidContinuationTokenException_1 = require("../shapes/InvalidContinuationTokenException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListPullRequests = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListPullRequests",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListPullRequestsInput_1.ListPullRequestsInput
    },
    output: {
        shape: ListPullRequestsOutput_1.ListPullRequestsOutput
    },
    errors: [
        {
            shape: InvalidPullRequestStatusException_1.InvalidPullRequestStatusException
        },
        {
            shape: InvalidAuthorArnException_1.InvalidAuthorArnException
        },
        {
            shape: AuthorDoesNotExistException_1.AuthorDoesNotExistException
        },
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: InvalidMaxResultsException_1.InvalidMaxResultsException
        },
        {
            shape: InvalidContinuationTokenException_1.InvalidContinuationTokenException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=ListPullRequests.js.map