"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListRepositoriesInput_1 = require("../shapes/ListRepositoriesInput");
var ListRepositoriesOutput_1 = require("../shapes/ListRepositoriesOutput");
var InvalidSortByException_1 = require("../shapes/InvalidSortByException");
var InvalidOrderException_1 = require("../shapes/InvalidOrderException");
var InvalidContinuationTokenException_1 = require("../shapes/InvalidContinuationTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListRepositories = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListRepositories",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListRepositoriesInput_1.ListRepositoriesInput
    },
    output: {
        shape: ListRepositoriesOutput_1.ListRepositoriesOutput
    },
    errors: [
        {
            shape: InvalidSortByException_1.InvalidSortByException
        },
        {
            shape: InvalidOrderException_1.InvalidOrderException
        },
        {
            shape: InvalidContinuationTokenException_1.InvalidContinuationTokenException
        }
    ]
};
//# sourceMappingURL=ListRepositories.js.map