"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MergeBranchesByFastForwardInput_1 = require("../shapes/MergeBranchesByFastForwardInput");
var MergeBranchesByFastForwardOutput_1 = require("../shapes/MergeBranchesByFastForwardOutput");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var TipsDivergenceExceededException_1 = require("../shapes/TipsDivergenceExceededException");
var CommitRequiredException_1 = require("../shapes/CommitRequiredException");
var InvalidCommitException_1 = require("../shapes/InvalidCommitException");
var CommitDoesNotExistException_1 = require("../shapes/CommitDoesNotExistException");
var InvalidTargetBranchException_1 = require("../shapes/InvalidTargetBranchException");
var InvalidBranchNameException_1 = require("../shapes/InvalidBranchNameException");
var BranchNameRequiredException_1 = require("../shapes/BranchNameRequiredException");
var BranchNameIsTagNameException_1 = require("../shapes/BranchNameIsTagNameException");
var BranchDoesNotExistException_1 = require("../shapes/BranchDoesNotExistException");
var ManualMergeRequiredException_1 = require("../shapes/ManualMergeRequiredException");
var ConcurrentReferenceUpdateException_1 = require("../shapes/ConcurrentReferenceUpdateException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.MergeBranchesByFastForward = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "MergeBranchesByFastForward",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: MergeBranchesByFastForwardInput_1.MergeBranchesByFastForwardInput
    },
    output: {
        shape: MergeBranchesByFastForwardOutput_1.MergeBranchesByFastForwardOutput
    },
    errors: [
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: TipsDivergenceExceededException_1.TipsDivergenceExceededException
        },
        {
            shape: CommitRequiredException_1.CommitRequiredException
        },
        {
            shape: InvalidCommitException_1.InvalidCommitException
        },
        {
            shape: CommitDoesNotExistException_1.CommitDoesNotExistException
        },
        {
            shape: InvalidTargetBranchException_1.InvalidTargetBranchException
        },
        {
            shape: InvalidBranchNameException_1.InvalidBranchNameException
        },
        {
            shape: BranchNameRequiredException_1.BranchNameRequiredException
        },
        {
            shape: BranchNameIsTagNameException_1.BranchNameIsTagNameException
        },
        {
            shape: BranchDoesNotExistException_1.BranchDoesNotExistException
        },
        {
            shape: ManualMergeRequiredException_1.ManualMergeRequiredException
        },
        {
            shape: ConcurrentReferenceUpdateException_1.ConcurrentReferenceUpdateException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=MergeBranchesByFastForward.js.map