"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PostCommentReplyInput_1 = require("../shapes/PostCommentReplyInput");
var PostCommentReplyOutput_1 = require("../shapes/PostCommentReplyOutput");
var ClientRequestTokenRequiredException_1 = require("../shapes/ClientRequestTokenRequiredException");
var InvalidClientRequestTokenException_1 = require("../shapes/InvalidClientRequestTokenException");
var IdempotencyParameterMismatchException_1 = require("../shapes/IdempotencyParameterMismatchException");
var CommentContentRequiredException_1 = require("../shapes/CommentContentRequiredException");
var CommentContentSizeLimitExceededException_1 = require("../shapes/CommentContentSizeLimitExceededException");
var CommentDoesNotExistException_1 = require("../shapes/CommentDoesNotExistException");
var CommentIdRequiredException_1 = require("../shapes/CommentIdRequiredException");
var InvalidCommentIdException_1 = require("../shapes/InvalidCommentIdException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PostCommentReply = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PostCommentReply",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PostCommentReplyInput_1.PostCommentReplyInput
    },
    output: {
        shape: PostCommentReplyOutput_1.PostCommentReplyOutput
    },
    errors: [
        {
            shape: ClientRequestTokenRequiredException_1.ClientRequestTokenRequiredException
        },
        {
            shape: InvalidClientRequestTokenException_1.InvalidClientRequestTokenException
        },
        {
            shape: IdempotencyParameterMismatchException_1.IdempotencyParameterMismatchException
        },
        {
            shape: CommentContentRequiredException_1.CommentContentRequiredException
        },
        {
            shape: CommentContentSizeLimitExceededException_1.CommentContentSizeLimitExceededException
        },
        {
            shape: CommentDoesNotExistException_1.CommentDoesNotExistException
        },
        {
            shape: CommentIdRequiredException_1.CommentIdRequiredException
        },
        {
            shape: InvalidCommentIdException_1.InvalidCommentIdException
        }
    ]
};
//# sourceMappingURL=PostCommentReply.js.map