"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutRepositoryTriggersInput_1 = require("../shapes/PutRepositoryTriggersInput");
var PutRepositoryTriggersOutput_1 = require("../shapes/PutRepositoryTriggersOutput");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var RepositoryTriggersListRequiredException_1 = require("../shapes/RepositoryTriggersListRequiredException");
var MaximumRepositoryTriggersExceededException_1 = require("../shapes/MaximumRepositoryTriggersExceededException");
var InvalidRepositoryTriggerNameException_1 = require("../shapes/InvalidRepositoryTriggerNameException");
var InvalidRepositoryTriggerDestinationArnException_1 = require("../shapes/InvalidRepositoryTriggerDestinationArnException");
var InvalidRepositoryTriggerRegionException_1 = require("../shapes/InvalidRepositoryTriggerRegionException");
var InvalidRepositoryTriggerCustomDataException_1 = require("../shapes/InvalidRepositoryTriggerCustomDataException");
var MaximumBranchesExceededException_1 = require("../shapes/MaximumBranchesExceededException");
var InvalidRepositoryTriggerBranchNameException_1 = require("../shapes/InvalidRepositoryTriggerBranchNameException");
var InvalidRepositoryTriggerEventsException_1 = require("../shapes/InvalidRepositoryTriggerEventsException");
var RepositoryTriggerNameRequiredException_1 = require("../shapes/RepositoryTriggerNameRequiredException");
var RepositoryTriggerDestinationArnRequiredException_1 = require("../shapes/RepositoryTriggerDestinationArnRequiredException");
var RepositoryTriggerBranchNameListRequiredException_1 = require("../shapes/RepositoryTriggerBranchNameListRequiredException");
var RepositoryTriggerEventsListRequiredException_1 = require("../shapes/RepositoryTriggerEventsListRequiredException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutRepositoryTriggers = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutRepositoryTriggers",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutRepositoryTriggersInput_1.PutRepositoryTriggersInput
    },
    output: {
        shape: PutRepositoryTriggersOutput_1.PutRepositoryTriggersOutput
    },
    errors: [
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: RepositoryTriggersListRequiredException_1.RepositoryTriggersListRequiredException
        },
        {
            shape: MaximumRepositoryTriggersExceededException_1.MaximumRepositoryTriggersExceededException
        },
        {
            shape: InvalidRepositoryTriggerNameException_1.InvalidRepositoryTriggerNameException
        },
        {
            shape: InvalidRepositoryTriggerDestinationArnException_1.InvalidRepositoryTriggerDestinationArnException
        },
        {
            shape: InvalidRepositoryTriggerRegionException_1.InvalidRepositoryTriggerRegionException
        },
        {
            shape: InvalidRepositoryTriggerCustomDataException_1.InvalidRepositoryTriggerCustomDataException
        },
        {
            shape: MaximumBranchesExceededException_1.MaximumBranchesExceededException
        },
        {
            shape: InvalidRepositoryTriggerBranchNameException_1.InvalidRepositoryTriggerBranchNameException
        },
        {
            shape: InvalidRepositoryTriggerEventsException_1.InvalidRepositoryTriggerEventsException
        },
        {
            shape: RepositoryTriggerNameRequiredException_1.RepositoryTriggerNameRequiredException
        },
        {
            shape: RepositoryTriggerDestinationArnRequiredException_1.RepositoryTriggerDestinationArnRequiredException
        },
        {
            shape: RepositoryTriggerBranchNameListRequiredException_1.RepositoryTriggerBranchNameListRequiredException
        },
        {
            shape: RepositoryTriggerEventsListRequiredException_1.RepositoryTriggerEventsListRequiredException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=PutRepositoryTriggers.js.map