"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TagResourceInput_1 = require("../shapes/TagResourceInput");
var TagResourceOutput_1 = require("../shapes/TagResourceOutput");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var ResourceArnRequiredException_1 = require("../shapes/ResourceArnRequiredException");
var InvalidResourceArnException_1 = require("../shapes/InvalidResourceArnException");
var TagsMapRequiredException_1 = require("../shapes/TagsMapRequiredException");
var InvalidTagsMapException_1 = require("../shapes/InvalidTagsMapException");
var TooManyTagsException_1 = require("../shapes/TooManyTagsException");
var InvalidSystemTagUsageException_1 = require("../shapes/InvalidSystemTagUsageException");
var TagPolicyException_1 = require("../shapes/TagPolicyException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.TagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TagResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: TagResourceInput_1.TagResourceInput
    },
    output: {
        shape: TagResourceOutput_1.TagResourceOutput
    },
    errors: [
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        },
        {
            shape: ResourceArnRequiredException_1.ResourceArnRequiredException
        },
        {
            shape: InvalidResourceArnException_1.InvalidResourceArnException
        },
        {
            shape: TagsMapRequiredException_1.TagsMapRequiredException
        },
        {
            shape: InvalidTagsMapException_1.InvalidTagsMapException
        },
        {
            shape: TooManyTagsException_1.TooManyTagsException
        },
        {
            shape: InvalidSystemTagUsageException_1.InvalidSystemTagUsageException
        },
        {
            shape: TagPolicyException_1.TagPolicyException
        }
    ]
};
//# sourceMappingURL=TagResource.js.map