"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateCommentInput_1 = require("../shapes/UpdateCommentInput");
var UpdateCommentOutput_1 = require("../shapes/UpdateCommentOutput");
var CommentContentRequiredException_1 = require("../shapes/CommentContentRequiredException");
var CommentContentSizeLimitExceededException_1 = require("../shapes/CommentContentSizeLimitExceededException");
var CommentDoesNotExistException_1 = require("../shapes/CommentDoesNotExistException");
var CommentIdRequiredException_1 = require("../shapes/CommentIdRequiredException");
var InvalidCommentIdException_1 = require("../shapes/InvalidCommentIdException");
var CommentNotCreatedByCallerException_1 = require("../shapes/CommentNotCreatedByCallerException");
var CommentDeletedException_1 = require("../shapes/CommentDeletedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateComment = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateComment",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateCommentInput_1.UpdateCommentInput
    },
    output: {
        shape: UpdateCommentOutput_1.UpdateCommentOutput
    },
    errors: [
        {
            shape: CommentContentRequiredException_1.CommentContentRequiredException
        },
        {
            shape: CommentContentSizeLimitExceededException_1.CommentContentSizeLimitExceededException
        },
        {
            shape: CommentDoesNotExistException_1.CommentDoesNotExistException
        },
        {
            shape: CommentIdRequiredException_1.CommentIdRequiredException
        },
        {
            shape: InvalidCommentIdException_1.InvalidCommentIdException
        },
        {
            shape: CommentNotCreatedByCallerException_1.CommentNotCreatedByCallerException
        },
        {
            shape: CommentDeletedException_1.CommentDeletedException
        }
    ]
};
//# sourceMappingURL=UpdateComment.js.map