"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdatePullRequestDescriptionInput_1 = require("../shapes/UpdatePullRequestDescriptionInput");
var UpdatePullRequestDescriptionOutput_1 = require("../shapes/UpdatePullRequestDescriptionOutput");
var PullRequestDoesNotExistException_1 = require("../shapes/PullRequestDoesNotExistException");
var InvalidPullRequestIdException_1 = require("../shapes/InvalidPullRequestIdException");
var PullRequestIdRequiredException_1 = require("../shapes/PullRequestIdRequiredException");
var InvalidDescriptionException_1 = require("../shapes/InvalidDescriptionException");
var PullRequestAlreadyClosedException_1 = require("../shapes/PullRequestAlreadyClosedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdatePullRequestDescription = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdatePullRequestDescription",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdatePullRequestDescriptionInput_1.UpdatePullRequestDescriptionInput
    },
    output: {
        shape: UpdatePullRequestDescriptionOutput_1.UpdatePullRequestDescriptionOutput
    },
    errors: [
        {
            shape: PullRequestDoesNotExistException_1.PullRequestDoesNotExistException
        },
        {
            shape: InvalidPullRequestIdException_1.InvalidPullRequestIdException
        },
        {
            shape: PullRequestIdRequiredException_1.PullRequestIdRequiredException
        },
        {
            shape: InvalidDescriptionException_1.InvalidDescriptionException
        },
        {
            shape: PullRequestAlreadyClosedException_1.PullRequestAlreadyClosedException
        }
    ]
};
//# sourceMappingURL=UpdatePullRequestDescription.js.map