"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdatePullRequestStatusInput_1 = require("../shapes/UpdatePullRequestStatusInput");
var UpdatePullRequestStatusOutput_1 = require("../shapes/UpdatePullRequestStatusOutput");
var PullRequestDoesNotExistException_1 = require("../shapes/PullRequestDoesNotExistException");
var InvalidPullRequestIdException_1 = require("../shapes/InvalidPullRequestIdException");
var PullRequestIdRequiredException_1 = require("../shapes/PullRequestIdRequiredException");
var InvalidPullRequestStatusUpdateException_1 = require("../shapes/InvalidPullRequestStatusUpdateException");
var InvalidPullRequestStatusException_1 = require("../shapes/InvalidPullRequestStatusException");
var PullRequestStatusRequiredException_1 = require("../shapes/PullRequestStatusRequiredException");
var EncryptionIntegrityChecksFailedException_1 = require("../shapes/EncryptionIntegrityChecksFailedException");
var EncryptionKeyAccessDeniedException_1 = require("../shapes/EncryptionKeyAccessDeniedException");
var EncryptionKeyDisabledException_1 = require("../shapes/EncryptionKeyDisabledException");
var EncryptionKeyNotFoundException_1 = require("../shapes/EncryptionKeyNotFoundException");
var EncryptionKeyUnavailableException_1 = require("../shapes/EncryptionKeyUnavailableException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdatePullRequestStatus = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdatePullRequestStatus",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdatePullRequestStatusInput_1.UpdatePullRequestStatusInput
    },
    output: {
        shape: UpdatePullRequestStatusOutput_1.UpdatePullRequestStatusOutput
    },
    errors: [
        {
            shape: PullRequestDoesNotExistException_1.PullRequestDoesNotExistException
        },
        {
            shape: InvalidPullRequestIdException_1.InvalidPullRequestIdException
        },
        {
            shape: PullRequestIdRequiredException_1.PullRequestIdRequiredException
        },
        {
            shape: InvalidPullRequestStatusUpdateException_1.InvalidPullRequestStatusUpdateException
        },
        {
            shape: InvalidPullRequestStatusException_1.InvalidPullRequestStatusException
        },
        {
            shape: PullRequestStatusRequiredException_1.PullRequestStatusRequiredException
        },
        {
            shape: EncryptionIntegrityChecksFailedException_1.EncryptionIntegrityChecksFailedException
        },
        {
            shape: EncryptionKeyAccessDeniedException_1.EncryptionKeyAccessDeniedException
        },
        {
            shape: EncryptionKeyDisabledException_1.EncryptionKeyDisabledException
        },
        {
            shape: EncryptionKeyNotFoundException_1.EncryptionKeyNotFoundException
        },
        {
            shape: EncryptionKeyUnavailableException_1.EncryptionKeyUnavailableException
        }
    ]
};
//# sourceMappingURL=UpdatePullRequestStatus.js.map