"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CodeCommitClient_1 = require("../../CodeCommitClient");
var ListRepositoriesCommand_1 = require("../../commands/ListRepositoriesCommand");
var ListBranchesCommand_1 = require("../../commands/ListBranchesCommand");
describe("@aws-sdk/client-codecommit-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("ListRepositories should succeed when given correct input", function (done) {
        var client = new CodeCommitClient_1.CodeCommitClient({
            region: defaultRegion,
            credentials: credentials
        });
        var listRepositories = new ListRepositoriesCommand_1.ListRepositoriesCommand({});
        client
            .send(listRepositories)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
    it("ListBranches should fail when given bad input", function (done) {
        var client = new CodeCommitClient_1.CodeCommitClient({
            region: defaultRegion,
            credentials: credentials
        });
        var listBranches = new ListBranchesCommand_1.ListBranchesCommand({
            repositoryName: "fake-repo"
        });
        client
            .send(listBranches)
            .then(function (result) {
            expect(result).toBeUndefined();
            done();
        })
            .catch(function (err) {
            expect(err).toBeDefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map